Send team inbound event
curl --request POST \
--url https://bugzy.ai/api/v1/teams/{id}/webhooks/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "test_results.received",
"provider": "generic",
"connection_id": "generic-team-connection",
"id": "<string>",
"source": "<string>",
"subject": "<string>",
"time": "2023-11-07T05:31:56Z",
"metadata": {},
"data": {},
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://bugzy.ai/api/v1/teams/{id}/webhooks/events"
payload = {
"event_type": "test_results.received",
"provider": "generic",
"connection_id": "generic-team-connection",
"id": "<string>",
"source": "<string>",
"subject": "<string>",
"time": "2023-11-07T05:31:56Z",
"metadata": {},
"data": {},
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_type: 'test_results.received',
provider: 'generic',
connection_id: 'generic-team-connection',
id: '<string>',
source: '<string>',
subject: '<string>',
time: '2023-11-07T05:31:56Z',
metadata: {},
data: {},
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://bugzy.ai/api/v1/teams/{id}/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Team Webhooks
Send team inbound event
Requires a team API key (bzy_team_*) or internal auth. Dispatches matching team-scoped event automations. Include project_id only when sending a project-scoped event trigger.
POST
/
teams
/
{id}
/
webhooks
/
events
Send team inbound event
Authorizations
Project API key (bzy_proj_) for project routes or team API key (bzy_team_) for selected team routes.
Path Parameters
Body
application/json
Example:
"test_results.received"
Example:
"generic"
Example:
"generic-team-connection"
Optional event id. Generated when omitted.
Optional CloudEvents source. Defaults to provider://teamId.
Optional project id for project-scoped event triggers.
Response
200
Event accepted, dispatched, or filtered by matching automations/triggers
⌘I
